package main

import (
	"fmt"
	"net/mail"
	"os"
)

func main() {
	if len(os.Args) < 2 {
		fmt.Fprintf(os.Stderr, "usage: mailchk <email> [<email>, ...]\n")
		os.Exit(1)
	}

	var err error
	for _, email := range os.Args[1:] {
		if _, err = mail.ParseAddress(email); err != nil {
			fmt.Fprintf(os.Stderr, "problem parsing email %q: %v\n", email, err)
		}
	}

	if err != nil {
		os.Exit(1)
	}
}
